Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class Expression

    java.lang.Object
      org.eclipse.birt.report.model.api.Expression

    public class Expression

extends java.lang.Object

Represents the object for the expression. The expression has an expression value and its type.

See Also:
  `ExpressionType`

Constructor Summary
`Expression(java.lang.Object expr, java.lang.String type)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getExpression()` Return the raw expression if the type is not constant.
`java.lang.String` | `getStringExpression()` Return the raw expression if the type is not constant.
`java.lang.String` | `getType()` Return the type of the expression.
`java.lang.String` | `getUserDefinedType()` Return the type of the expression set by the user.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Expression

    public Expression(java.lang.Object expr,
                      java.lang.String type)

  Constructor

  Parameters:
    `expr` - the value
    `type` - the type

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getStringExpression

    public java.lang.String getStringExpression()

  Return the raw expression if the type is not constant. If the type is constant, get the value in string.

  Returns:
    the raw expression or the value in string

### getExpression

    public java.lang.Object getExpression()

  Return the raw expression if the type is not constant. If the type is constant, get the value.

  Returns:
    the raw expression or the value

### getType

    public java.lang.String getType()

  Return the type of the expression. It can be one of defined in `ExpressionType`. For the compatibility issue, in default, it is `ExpressionType.JAVASCRIPT`.

  Returns:
    the type
  See Also:
    `ExpressionType`

### getUserDefinedType

    public java.lang.String getUserDefinedType()

  Return the type of the expression set by the user. This method ignore the compatibility issue.

  Returns:
    the type
  See Also:
    `ExpressionType`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.